Package org.apache.sling.distribution.journal.impl.subscriber

# Class SubscriberIdleCheck

java.lang.Object
org.apache.sling.distribution.journal.impl.subscriber.SubscriberIdleCheck

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.felix.hc.api.HealthCheck`

public class SubscriberIdleCheck extends Object implements org.apache.felix.hc.api.HealthCheck, Closeable

## Field Summary

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

## Constructor Summary

Constructors
Constructor
Description
`SubscriberIdleCheck(org.osgi.framework.BundleContext context, IdleCheck idleCheck)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`org.apache.felix.hc.api.Result`
`execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubscriberIdleCheck

public SubscriberIdleCheck(org.osgi.framework.BundleContext context, IdleCheck idleCheck)

## Method Details

### execute

public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`